Bug 235170 - Remove ImplementationLacksVTable IDL attribute
Summary: Remove ImplementationLacksVTable IDL attribute
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-01-12 17:41 PST by Alex Christensen
Modified: 2022-01-18 11:37 PST (History)
35 users (show)

See Also:


Attachments
Patch (297.24 KB, patch)
2022-01-12 17:43 PST, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (277.94 KB, patch)
2022-01-18 09:29 PST, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (37.88 KB, patch)
2022-01-18 10:46 PST, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2022-01-12 17:41:43 PST
Remove ImplementationLacksVTable IDL attribute
Comment 1 Alex Christensen 2022-01-12 17:43:33 PST
Created attachment 449016 [details]
Patch
Comment 2 Yusuke Suzuki 2022-01-12 18:39:55 PST
Comment on attachment 449016 [details]
Patch

r=me This is awesome!
Comment 3 Darin Adler 2022-01-16 11:07:54 PST
Wow, don’t want to have to wait for Alex to land this, so tempted to just set commit-queue+ on it!
Comment 4 Alex Christensen 2022-01-18 09:08:45 PST
This will need coordination with the internal builds to land.  I think I'll leave it as an allowed attribute, then land that, then remove the internal ignored ImplementationLacksVTable attributes, then remove ImplementationLacksVTable from the list of allowed attributes.
Comment 5 Alex Christensen 2022-01-18 09:29:54 PST
Created attachment 449397 [details]
Patch
Comment 6 EWS 2022-01-18 10:10:35 PST
Committed r288118 (246132@main): <https://commits.webkit.org/246132@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 449397 [details].
Comment 7 Radar WebKit Bug Importer 2022-01-18 10:11:22 PST
<rdar://problem/87719729>
Comment 8 Alex Christensen 2022-01-18 10:37:40 PST
Internal commit 0f5ee832212f7d5b552bb117c1428dc65c563f7e
Comment 9 Alex Christensen 2022-01-18 10:46:36 PST
Reopening to attach new patch.
Comment 10 Alex Christensen 2022-01-18 10:46:41 PST
Created attachment 449403 [details]
Patch
Comment 11 EWS 2022-01-18 11:37:21 PST
Committed r288133 (246140@main): <https://commits.webkit.org/246140@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 449403 [details].